model-runs
Run a model on Tasks, within the allowance a person confirmed
POST
/
api
/
v1
/
model-runs
Run a model on Tasks, within the allowance a person confirmed
curl --request POST \
--url https://api.nitsor.com/api/v1/model-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": [
"<string>"
]
}
],
"notProduced": [
"<string>"
]
},
"projectId": "<string>",
"taskIds": [
"<string>"
],
"allowanceGpuSeconds": 123,
"idempotencyKey": "<string>",
"rateVersion": "<string>",
"replacing": [
{
"jobId": "<string>",
"taskId": "<string>"
}
]
}
'import requests
url = "https://api.nitsor.com/api/v1/model-runs"
payload = {
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": ["<string>"]
}
],
"notProduced": ["<string>"]
},
"projectId": "<string>",
"taskIds": ["<string>"],
"allowanceGpuSeconds": 123,
"idempotencyKey": "<string>",
"rateVersion": "<string>",
"replacing": [
{
"jobId": "<string>",
"taskId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentSubject: '<string>',
classMap: {
categories: [{classId: '<string>', modelClassIds: ['<string>']}],
notProduced: ['<string>']
},
projectId: '<string>',
taskIds: ['<string>'],
allowanceGpuSeconds: 123,
idempotencyKey: '<string>',
rateVersion: '<string>',
replacing: [{jobId: '<string>', taskId: '<string>'}]
})
};
fetch('https://api.nitsor.com/api/v1/model-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentSubject' => '<string>',
'classMap' => [
'categories' => [
[
'classId' => '<string>',
'modelClassIds' => [
'<string>'
]
]
],
'notProduced' => [
'<string>'
]
],
'projectId' => '<string>',
'taskIds' => [
'<string>'
],
'allowanceGpuSeconds' => 123,
'idempotencyKey' => '<string>',
'rateVersion' => '<string>',
'replacing' => [
[
'jobId' => '<string>',
'taskId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-runs"
payload := strings.NewReader("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ],\n \"allowanceGpuSeconds\": 123,\n \"idempotencyKey\": \"<string>\",\n \"rateVersion\": \"<string>\",\n \"replacing\": [\n {\n \"jobId\": \"<string>\",\n \"taskId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/model-runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ],\n \"allowanceGpuSeconds\": 123,\n \"idempotencyKey\": \"<string>\",\n \"rateVersion\": \"<string>\",\n \"replacing\": [\n {\n \"jobId\": \"<string>\",\n \"taskId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ],\n \"allowanceGpuSeconds\": 123,\n \"idempotencyKey\": \"<string>\",\n \"rateVersion\": \"<string>\",\n \"replacing\": [\n {\n \"jobId\": \"<string>\",\n \"taskId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"operationId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
⌘I
Run a model on Tasks, within the allowance a person confirmed
curl --request POST \
--url https://api.nitsor.com/api/v1/model-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": [
"<string>"
]
}
],
"notProduced": [
"<string>"
]
},
"projectId": "<string>",
"taskIds": [
"<string>"
],
"allowanceGpuSeconds": 123,
"idempotencyKey": "<string>",
"rateVersion": "<string>",
"replacing": [
{
"jobId": "<string>",
"taskId": "<string>"
}
]
}
'import requests
url = "https://api.nitsor.com/api/v1/model-runs"
payload = {
"agentSubject": "<string>",
"classMap": {
"categories": [
{
"classId": "<string>",
"modelClassIds": ["<string>"]
}
],
"notProduced": ["<string>"]
},
"projectId": "<string>",
"taskIds": ["<string>"],
"allowanceGpuSeconds": 123,
"idempotencyKey": "<string>",
"rateVersion": "<string>",
"replacing": [
{
"jobId": "<string>",
"taskId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentSubject: '<string>',
classMap: {
categories: [{classId: '<string>', modelClassIds: ['<string>']}],
notProduced: ['<string>']
},
projectId: '<string>',
taskIds: ['<string>'],
allowanceGpuSeconds: 123,
idempotencyKey: '<string>',
rateVersion: '<string>',
replacing: [{jobId: '<string>', taskId: '<string>'}]
})
};
fetch('https://api.nitsor.com/api/v1/model-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentSubject' => '<string>',
'classMap' => [
'categories' => [
[
'classId' => '<string>',
'modelClassIds' => [
'<string>'
]
]
],
'notProduced' => [
'<string>'
]
],
'projectId' => '<string>',
'taskIds' => [
'<string>'
],
'allowanceGpuSeconds' => 123,
'idempotencyKey' => '<string>',
'rateVersion' => '<string>',
'replacing' => [
[
'jobId' => '<string>',
'taskId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-runs"
payload := strings.NewReader("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ],\n \"allowanceGpuSeconds\": 123,\n \"idempotencyKey\": \"<string>\",\n \"rateVersion\": \"<string>\",\n \"replacing\": [\n {\n \"jobId\": \"<string>\",\n \"taskId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/model-runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ],\n \"allowanceGpuSeconds\": 123,\n \"idempotencyKey\": \"<string>\",\n \"rateVersion\": \"<string>\",\n \"replacing\": [\n {\n \"jobId\": \"<string>\",\n \"taskId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentSubject\": \"<string>\",\n \"classMap\": {\n \"categories\": [\n {\n \"classId\": \"<string>\",\n \"modelClassIds\": [\n \"<string>\"\n ]\n }\n ],\n \"notProduced\": [\n \"<string>\"\n ]\n },\n \"projectId\": \"<string>\",\n \"taskIds\": [\n \"<string>\"\n ],\n \"allowanceGpuSeconds\": 123,\n \"idempotencyKey\": \"<string>\",\n \"rateVersion\": \"<string>\",\n \"replacing\": [\n {\n \"jobId\": \"<string>\",\n \"taskId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"operationId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}